TechDraw TextLeader

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw TextLeader and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano
Arrow-left.svg Page précédente: TechDraw Tree Page Sync.png Redessiner
Page suivante: Hachures Arrow-right.svg

Techdraw-textleader.svg TechDraw TextLeader

Emplacement du menu
TechDraw → TextLeader
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Templates, Draft SVG


cette page est obsolète. Voir LeaderLine et RichTextBlock

Description

L'outil TextLeader insère un bloc d'annotation Rich Text Format et une ligne de repère dans une vue.

TechDraw TextLeader sample.png

Text Leader added to View001


Utilisation

  1. Appuyez sur le bouton Techdraw-textleader.svg TextLeader.
  2. Une boîte de dialogue va s'ouvrir. La boîte de dialogue permet de tracer la ligne qui sert de repère, et d'attribuer des symboles à la fin de la ligne et d'appeler un éditeur de texte enrichi pour créer le texte d'annotation.


Propriétés

  • DONNÉESX,Y: Le point auquel la ligne de repère est connectée à la vue.
  • DONNÉESLeader Parent: La vue à laquelle le leader est attaché.
  • DONNÉESStart Symbol: Le symbole de début de ligne (pointe de flèche) au début de la vue.
  • DONNÉESEnd Symbol: le symbole de fin de ligne à la fin du bloc d'annotation.
  • DONNÉESScalable: Leader évolue avec Leader Parent.
  • DONNÉESLeader Text: Contenu du bloc d'annotation.
  • DONNÉESText Position: Emplacement du texte par rapport à la fin de l'annotation de la ligne de repère.
  • VUELine Style: 0 - Aucune ligne, 1 - Ligne continue, ...
  • VUELine Width: Poids de la ligne principale.


Script

Voir aussi: TechDraw API et FreeCAD Scripts de base.

L'outil TextLeader peut être utilisé dans une macro et à partir de la console Python à l'aide des fonctions suivantes:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawTextLeader','DrawTextLeader')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.Waypoints = [p0,p1,p2]
leaderObj.AttachPoint = FreeCAD.Vector(5,5,0)
leaderObj.LeaderText = myPlainOrHtmlText

Notes

  • Cette fonctionnalité a été ajoutée à la v0.19
  • Vous pouvez déplacer le bloc de texte en cliquant dessus et en le faisant glisser.
  • Vous pouvez modifier votre TextLeader en double-cliquant dessus dans l'arborescence. Un double clic dans la zone graphique n’est pas encore supporté.
  • La ligne de repère peut être modifiée en appuyant sur "Modifier les points" en mode édition. Pour quitter le point d’édition: appuyez sur "Echap édition", appuyez sur Echap ou appuyez sur le bouton droit de la souris (RMB).
Arrow-left.svg Page précédente: TechDraw Tree Page Sync.png Redessiner
Page suivante: Hachures Arrow-right.svg